Skip to main content
PATCH
/
v1
/
admin
/
quotes
/
quotes
/
{id}
Update quote
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/quotes/quotes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "personId": "<string>",
  "pipelineId": "<string>",
  "stageId": "<string>"
}
'
{
  "id": "quot_01h...",
  "title": "<string>",
  "status": "draft",
  "personId": "<string>",
  "pipelineId": "<string>",
  "stageId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
title
string
personId
string | null
pipelineId
string | null
stageId
string | null

Response

200 - application/json

Updated quote

id
string
required
Example:

"quot_01h..."

title
string
status
string
Example:

"draft"

personId
string | null
pipelineId
string | null
stageId
string | null
createdAt
string<date-time>